Index: conf.c
===================================================================
--- conf.c	(revision 881fd4e3a6d6405e982239e8b315069b724a1d22)
+++ conf.c	(revision 1b5ab3608488e0cbbc75933a59af1fa7e2ff60b0)
@@ -95,5 +95,5 @@
 			conf->port = i;
 		}
-		else if( opt == 'P' )
+		else if( opt == 'p' )
 		{
 			g_free( conf->pidfile );
Index: ipc.c
===================================================================
--- ipc.c	(revision 881fd4e3a6d6405e982239e8b315069b724a1d22)
+++ ipc.c	(revision 1b5ab3608488e0cbbc75933a59af1fa7e2ff60b0)
@@ -507,5 +507,5 @@
 	}
 
-	if (bind(serversock, (struct sockaddr *)&un_addr, sizeof(un_addr)) == -1) {
+	if (bind(serversock, &un_addr, sizeof(un_addr)) == -1) {
 		log_message( LOGLVL_WARNING, "Unable to bind UNIX socket to %s: %s", IPCSOCKET, strerror(errno) );
 		return 0;
@@ -571,5 +571,4 @@
 	ipc_to_children_str( "OPERMSG :New BitlBee master process started (version " BITLBEE_VERSION ")\r\n" );
 	
-	fclose( fp );
 	return 1;
 }
Index: irc.c
===================================================================
--- irc.c	(revision 881fd4e3a6d6405e982239e8b315069b724a1d22)
+++ irc.c	(revision 1b5ab3608488e0cbbc75933a59af1fa7e2ff60b0)
@@ -557,5 +557,5 @@
 	
 	u = user_find( irc, irc->mynick );
-	is_private = u->is_private;
+	if( u ) is_private = u->is_private;
 	
 	va_start( params, format );
Index: protocols/jabber/jabber.c
===================================================================
--- protocols/jabber/jabber.c	(revision 881fd4e3a6d6405e982239e8b315069b724a1d22)
+++ protocols/jabber/jabber.c	(revision 1b5ab3608488e0cbbc75933a59af1fa7e2ff60b0)
@@ -1549,7 +1549,5 @@
 	if(jd->gjc != NULL) {
 		gjab_delete(jd->gjc);
-		/* YAY for modules with their own memory pool managers!...
 		g_free(jd->gjc->sid);
-		And a less sarcastic yay for valgrind. :-) */
 		jd->gjc = NULL;
 	}
Index: protocols/jabber/xmlparse.c
===================================================================
--- protocols/jabber/xmlparse.c	(revision 881fd4e3a6d6405e982239e8b315069b724a1d22)
+++ protocols/jabber/xmlparse.c	(revision 1b5ab3608488e0cbbc75933a59af1fa7e2ff60b0)
@@ -1461,5 +1461,5 @@
 s = protocolEncodingName;
 #endif
-    if (ns ? XmlInitEncodingNS(&initEncoding, &encoding, s) : XmlInitEncoding(&initEncoding, &encoding, s))
+    if ((ns ? XmlInitEncodingNS : XmlInitEncoding)(&initEncoding, &encoding, s))
         return XML_ERROR_NONE;
     return handleUnknownEncoding(parser, protocolEncodingName);
@@ -1475,5 +1475,6 @@
     int standalone = -1;
     if (!(ns
-            ? XmlParseXmlDeclNS(isGeneralTextEntity,
+            ? XmlParseXmlDeclNS
+            : XmlParseXmlDecl)(isGeneralTextEntity,
                                encoding,
                                s,
@@ -1483,14 +1484,5 @@
                                &encodingName,
                                &newEncoding,
-                               &standalone)
-            : XmlParseXmlDecl(isGeneralTextEntity,
-                               encoding,
-                               s,
-                               next,
-                               &eventPtr,
-                               &version,
-                               &encodingName,
-                               &newEncoding,
-                               &standalone)))
+                               &standalone))
         return XML_ERROR_SYNTAX;
     if (!isGeneralTextEntity && standalone == 1)
@@ -1545,12 +1537,9 @@
             }
             enc = (ns
-                   ? XmlInitUnknownEncodingNS(unknownEncodingMem,
+                   ? XmlInitUnknownEncodingNS
+                   : XmlInitUnknownEncoding)(unknownEncodingMem,
                                              info.map,
                                              info.convert,
-                                             info.data)
-                   : XmlInitUnknownEncoding(unknownEncodingMem,
-                                             info.map,
-                                             info.convert,
-                                             info.data));
+                                             info.data);
             if (enc) {
                 unknownEncodingData = info.data;
Index: protocols/nogaim.c
===================================================================
--- protocols/nogaim.c	(revision 881fd4e3a6d6405e982239e8b315069b724a1d22)
+++ protocols/nogaim.c	(revision 1b5ab3608488e0cbbc75933a59af1fa7e2ff60b0)
@@ -612,6 +612,5 @@
 			return;
 		}
-		/* Why did we have this here....
-		return; */
+		return;
 	}
 	
Index: protocols/oscar/oscar_util.c
===================================================================
--- protocols/oscar/oscar_util.c	(revision 881fd4e3a6d6405e982239e8b315069b724a1d22)
+++ protocols/oscar/oscar_util.c	(revision 1b5ab3608488e0cbbc75933a59af1fa7e2ff60b0)
@@ -109,5 +109,5 @@
 
 	curPtr = sn;
-	while ( (*curPtr) != (char) '\0') {
+	while ( (*curPtr) != (char) NULL) {
 		if ((*curPtr) != ' ')
 		i++;
@@ -140,5 +140,5 @@
 	curPtr1 = sn1;
 	curPtr2 = sn2;
-	while ( (*curPtr1 != (char) '\0') && (*curPtr2 != (char) '\0') ) {
+	while ( (*curPtr1 != (char) NULL) && (*curPtr2 != (char) NULL) ) {
 		if ( (*curPtr1 == ' ') || (*curPtr2 == ' ') ) {
 			if (*curPtr1 == ' ')
Index: protocols/oscar/service.c
===================================================================
--- protocols/oscar/service.c	(revision 881fd4e3a6d6405e982239e8b315069b724a1d22)
+++ protocols/oscar/service.c	(revision 1b5ab3608488e0cbbc75933a59af1fa7e2ff60b0)
@@ -881,5 +881,4 @@
 #endif
 
-/* len can't be 0 here anyway...
 		} else if ((offset == 0x00001000) && (len == 0x00000000)) {
 
@@ -888,5 +887,5 @@
 			aimbs_put32(&fr->data, 0xe9800998);
 			aimbs_put32(&fr->data, 0xecf8427e);
-*/
+
 		} else
 			do_error_dialog(sess->aux_data, "WARNING: unknown hash request", "Gaim");
Index: set.c
===================================================================
--- set.c	(revision 881fd4e3a6d6405e982239e8b315069b724a1d22)
+++ set.c	(revision 1b5ab3608488e0cbbc75933a59af1fa7e2ff60b0)
@@ -150,9 +150,5 @@
 	if( s )
 	{
-		if( t )
-			t->next = s->next;
-		else
-			irc->set = s->next;
-		
+		t->next = s->next;
 		g_free( s->key );
 		if( s->value ) g_free( s->value );
